diff --git a/CHANGELOG b/CHANGELOG
index bd51756..045ae6e 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -11,6 +11,7 @@
 - fix included map recursive map key lookup.
   - and fix the recursive map key lookup for browsable map case.
 - review and fix master map options update for map reload.
+- fix "-fstype=nfs4" handling.
 
 1/9/2006 autofs-5.0.1 rc2
 -------------------------
diff --git a/modules/Makefile b/modules/Makefile
index 608e99c..ad2c955 100644
--- a/modules/Makefile
+++ b/modules/Makefile
@@ -64,6 +64,7 @@ install: all
 	-rm -f $(INSTALLROOT)$(autofslibdir)/mount_smbfs.so
 	ln -fs lookup_file.so $(INSTALLROOT)$(autofslibdir)/lookup_files.so
 	ln -fs lookup_yp.so $(INSTALLROOT)$(autofslibdir)/lookup_nis.so
+	ln -fs mount_nfs.so $(INSTALLROOT)$(autofslibdir)/mount_nfs4.so
 ifeq ($(EXT2FS), 1)
  ifeq ($(EXT3FS), 1)
 	ln -fs mount_ext2.so $(INSTALLROOT)$(autofslibdir)/mount_ext3.so
diff --git a/modules/mount_nfs.c b/modules/mount_nfs.c
index 55e4f98..ae6abb1 100644
--- a/modules/mount_nfs.c
+++ b/modules/mount_nfs.c
@@ -222,18 +222,18 @@ int mount_mount(struct autofs_point *ap,
 
 		if (nfsoptions && *nfsoptions) {
 			debug(ap->logopt,
-			      MODPREFIX "calling mount -t nfs " SLOPPY 
-			      "-o %s %s %s", nfsoptions, loc, fullpath);
+			      MODPREFIX "calling mount -t %s " SLOPPY 
+			      "-o %s %s %s", fstype, nfsoptions, loc, fullpath);
 
 			err = spawn_mount(log_debug,
-					  "-t", "nfs", SLOPPYOPT "-o",
+					  "-t", fstype, SLOPPYOPT "-o",
 					  nfsoptions, loc, fullpath, NULL);
 		} else {
 			debug(ap->logopt,
-			      MODPREFIX "calling mount -t nfs %s %s",
-			      loc, fullpath);
+			      MODPREFIX "calling mount -t %s %s %s",
+			      fstype, loc, fullpath);
 			err = spawn_mount(log_debug,
-					  "-t", "nfs", loc, fullpath, NULL);
+					  "-t", fstype, loc, fullpath, NULL);
 		}
 
 		if (!err) {
